#!/bin/sh

# Setup script for Vim configuration files.

# Copyright (C) 2011-2012  Simon Ruderich
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


set -eu

. ../lib.sh


# Create directories.
mkdir -p vim/cache

# Create documentation tags for pathogen plugins. `vim -e` always exists with
# 1 for unknown reasons.
vim -e -c ':call pathogen#helptags()' -c ':q' || true

# Link setup.
link vim ~/.vim
link vimrc ~/.vimrc
if installed gvim; then
    link gvimrc ~/.gvimrc
fi

# Create/Update custom spell checking files.
if test -f vim/spell/Makefile; then
    make -C vim/spell
fi

if test -d ~/.crontab.d; then
    link crontab ~/.crontab.d/crontab.dotfiles-vim
fi
